Skip to content

Search

All operations require authentication, except the 10 marked Public.

10 operationsv1/connectivity/eligibility
Agent setup

Search the addresses near a locationProductionPublic

POST
/1.0/connectivity/eligibility/search/addresses

Returns, as an asynchronous task, the addresses around a GPS location with their coordinates, street code, building reference and distance. The search radius is 10 meters by default.

Request body (required)

distance
integer

Distance in meters to search for from initial location (default is 10 meters)

latitude
required
string

Latitude

longitude
required
string

Longitude

Response

200AddressWithCoordinatessuccessful operation
error
read-only
string
—
result
read-only
AddressWithCoordinates[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/addresses
ResponseExample
{ "error": "string", "result": [ { "buildingName": "string", "buildingReference": "string", "city": "string", "distance": "string", "inseeCode": "string", "latitude": "string", "longitude": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" } ], "status": "error"}

Get the details of a buildingProductionPublic

POST
/1.0/connectivity/eligibility/search/buildingDetails

Returns, as an asynchronous task, the name, type, NRO and stairs of a building given by its identifier. Get the identifier with the search/buildings calls.

Request body (required)

building
required
string

Building identifier, that can be found using /connectivity/eligibility/search/building* methods

forceProvider
string

If possible, force to use a particular provider repository

Response

200Buildingsuccessful operation
error
read-only
string
—
result
read-only
Building

Details of a Building

status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/buildingDetails
ResponseExample
{ "error": "string", "result": { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ "string" ], "stair": "string" } ], "type": "BUILDING" }, "status": "error"}

Search the buildings of an addressProductionPublic

POST
/1.0/connectivity/eligibility/search/buildings

Returns, as an asynchronous task, the buildings at an address with their reference, name, type, NRO and stairs. The address needs at least a street code and street number, or a Hexacle.

Request body (required)

hexacle
string

Hexacle is a French unique identifier of the address (you can get it with POST /connectivity/eligibility/search/streetNumbers/details)

streetAltCode
string

A possible alternative identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)

streetCode
string

Unique identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)

streetNumber
string

Street number

Response

200Buildingsuccessful operation
error
read-only
string
—
result
read-only
Building[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/buildings
ResponseExample
{ "error": "string", "result": [ { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ "string" ], "stair": "string" } ], "type": "BUILDING" } ], "status": "error"}

Search the buildings of a line numberProductionPublic

POST
/1.0/connectivity/eligibility/search/buildingsByLine

Returns, as an asynchronous task, the buildings linked to a line number and its status, with their reference, name, type, NRO and stairs.

Request body (required)

lineNumber
required
string

Line number

status
required
LineStatusEnum

Line status

Valuesactiveinactive

Response

200Buildingsuccessful operation
error
read-only
string
—
result
read-only
Building[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/buildingsByLine
ResponseExample
{ "error": "string", "result": [ { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ "string" ], "stair": "string" } ], "type": "BUILDING" } ], "status": "error"}

Search the localities of a zip codeProductionPublic

POST
/1.0/connectivity/eligibility/search/cities

Returns, as an asynchronous task, the cities and localities linked to a zip code with their INSEE code. Use the INSEE code to search the streets of a locality.

Request body (required)

zipCode
required
string

Zip code

Response

200Citysuccessful operation
error
read-only
string
—
result
read-only
City[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/cities
ResponseExample
{ "error": "string", "result": [ { "city": "string", "inseeCode": "string", "locality": "string", "zipCode": "string" } ], "status": "error"}

Search the lines at an addressDeprecatedPublic

POST
/1.0/connectivity/eligibility/search/lines

Deprecated since Apr 8, 2026, will be removed on Jul 8, 2026.

Deprecated: this endpoint is scheduled for deletion. Returns, as an asynchronous task, the inactive copper lines at an address, and the active ones when the owner name is given (at least its first three characters).

Request body (required)

ownerName
string

Owner name, at least the first three chars

streetCode
required
string

Street code, that can be found using /connectivity/eligibility/search/streets method

streetNumber
required
string

Street number, that can be found using /connectivity/eligibility/search/streetNumbers method

Response

200Linesuccessful operation
error
read-only
string
—
result
read-only
Line[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/lines
ResponseExample
{ "error": "string", "result": [ { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "lineNumber": "string" } ], "status": "error"}

Search the installation meeting slotsProductionPublic

POST
/1.0/connectivity/eligibility/search/meetings

Returns, as an asynchronous task, the available time slots for a copper line creation or a fiber installation meeting, for an eligibility test reference and a chosen offer.

Request body (required)

eligibilityReference
required
string

Eligibility test reference

installationType
InstallationTypeEnum

Installation type, for fiber only

Valuesactivateactivate_undefinedcreatemultiOtp
otp
string

Fill in this field with your OTP reference if you have one

planCode
string

Offer plan code

productCode
string

Choosen offer product code

siteCompanyName
string

Site company name, please use the name and firstname for an individual

technicalVisit
TechnicalVisitTypeEnum

Special case to ask a technical visit on Fiber installation

Valuescomplexsimple
type
OfferProductTypeEnum

Offer product type

ValuesADSLFTTEFTTHFTTOSDSLVDSL
unbundlingType
OfferProductUnbundlingTypeEnum

Offer product unbundling type

Valuesfullpartial

Response

200Meetingssuccessful operation
error
read-only
string
—
result
read-only
Meetings

List of available meeting time slots

status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/meetings
ResponseExample
{ "error": "string", "result": { "canBookFakeMeeting": true, "capacities": { "eRdv": true, "phoneCall": true }, "meetingSlots": [ { "endDate": "2024-01-01T12:00:00Z", "slotId": "string", "startDate": "2024-01-01T12:00:00Z", "uiCode": "string" } ] }, "status": "error"}

Search the numbers of a streetProductionPublic

POST
/1.0/connectivity/eligibility/search/streetNumbers

Returns, as an asynchronous task, the available street numbers of a street given by its street code. Get the street code with search/streets.

Request body (required)

streetAltCode
string

Street alternative code, a possible alternative identifier of the street

streetCode
required
string

Street code, an unique identifier of the street

Response

200AsyncTaskArray_stringsuccessful operation
error
read-only
string
—
result
read-only
string[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/streetNumbers
ResponseExample
{ "error": "string", "result": [ "string" ], "status": "error"}

Search the numbers of a street with their detailsProductionPublic

POST
/1.0/connectivity/eligibility/search/streetNumbers/details

Returns, as an asynchronous task, the available street numbers of a street given by its street code, each with its Hexacle address identifier. Get the street code with search/streets.

Request body (required)

streetAltCode
string

Street alternative code, a possible alternative identifier of the street

streetCode
required
string

Street code, an unique identifier of the street

Response

200StreetNumberDetailssuccessful operation
error
read-only
string
—
result
read-only
StreetNumberDetails[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/streetNumbers/details
ResponseExample
{ "error": "string", "result": [ { "hexacle": "string", "number": "string" } ], "status": "error"}

Search the streets of a localityProductionPublic

POST
/1.0/connectivity/eligibility/search/streets

Returns, as an asynchronous task, the streets of a locality given by its INSEE code, with their name, street code and alternative code. Get the INSEE code with search/cities.

Request body (required)

inseeCode
required
string

French INSEE identifier (you can get it with POST /connectivity/eligibility/search/cities)

Response

200Streetsuccessful operation
error
read-only
string
—
result
read-only
Street[]
—
status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/eligibility/search/streets
ResponseExample
{ "error": "string", "result": [ { "streetAltCode": "string", "streetCode": "string", "streetName": "string" } ], "status": "error"}